function [density, empty_regions, full_regions] = calcRegionalSectorNumbers(T, pts, regions_ind, xydata)
% function [density, empty_regions] = calcDeficientRegions(T, pts, regions_ind, xydata)
%
%
% Dr. A. I. Hanna (2007)
num_regions = length(regions_ind);
density = zeros(num_regions,1);
tid = tsearch(pts(:,1), pts(:,2), T, xydata(1,:), xydata(2,:));
for i=1:length(regions_ind)
    rind = regions_ind{i};
    for ii=1:length(rind)
        density(i) = density(i)+sum(tid==rind(ii));
    end
end
return;